Bug 193617 - sysutils/bacula-server 7.0+ lost LIBEDIT/LIBREADLINE on bconsole
Summary: sysutils/bacula-server 7.0+ lost LIBEDIT/LIBREADLINE on bconsole
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-13 18:39 UTC by Larry Rosenman
Modified: 2015-10-21 22:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2014-09-13 18:39:14 UTC
somehow in the 5->7 upgrade, we lost command history for bconsole. 

Can we figure out how to get it back?

This is on 11-CURRENT for me
Comment 1 Dan Langille freebsd_committer 2014-09-13 18:44:37 UTC
What do you have?

This is 5.2.12 on 9.3

$ ldd /usr/local/sbin/bconsole
/usr/local/sbin/bconsole:
	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x800822000)
	libreadline.so.8 => /lib/libreadline.so.8 (0x800a2c000)
	libhistory.so.8 => /usr/lib/libhistory.so.8 (0x800c6d000)
	libncurses.so.8 => /lib/libncurses.so.8 (0x800e75000)
	libbaccfg.so.5 => /usr/local/lib/libbaccfg.so.5 (0x8010c3000)
	libbac.so.5 => /usr/local/lib/libbac.so.5 (0x8012cd000)
	libthr.so.3 => /lib/libthr.so.3 (0x801529000)
	libssl.so.6 => /usr/lib/libssl.so.6 (0x80174c000)
	libcrypto.so.6 => /lib/libcrypto.so.6 (0x8019a2000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x801d4a000)
	libm.so.5 => /lib/libm.so.5 (0x802051000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x802272000)
	libc.so.7 => /lib/libc.so.7 (0x802480000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x8027db000)
	libwrap.so.6 => /usr/lib/libwrap.so.6 (0x802ad7000)
	libz.so.6 => /lib/libz.so.6 (0x802ce0000)

This is 7.0.5 on 9.3

$ ldd /usr/local/sbin/bconsole
/usr/local/sbin/bconsole:
	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x800822000)
	libreadline.so.8 => /lib/libreadline.so.8 (0x800a2c000)
	libhistory.so.8 => /usr/lib/libhistory.so.8 (0x800c6d000)
	libncurses.so.8 => /lib/libncurses.so.8 (0x800e75000)
	libbaccfg-7.0.5.so => /usr/local/lib/libbaccfg-7.0.5.so (0x8010c3000)
	libbac-7.0.5.so => /usr/local/lib/libbac-7.0.5.so (0x8012ce000)
	libthr.so.3 => /lib/libthr.so.3 (0x801539000)
	libssl.so.6 => /usr/lib/libssl.so.6 (0x80175c000)
	libcrypto.so.6 => /lib/libcrypto.so.6 (0x8019b2000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x801d5a000)
	libm.so.5 => /lib/libm.so.5 (0x802061000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x802282000)
	libc.so.7 => /lib/libc.so.7 (0x802490000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x8027eb000)
	libwrap.so.6 => /usr/lib/libwrap.so.6 (0x802ae7000)
	libz.so.6 => /lib/libz.so.6 (0x802cf0000)
Comment 2 Larry Rosenman freebsd_committer 2014-09-13 18:47:04 UTC
borg.lerctr.org /home/ler # ldd /usr/local/sbin/bconsole
/usr/local/sbin/bconsole:
	libbaccfg-7.0.5.so => /usr/local/lib/libbaccfg-7.0.5.so (0x800825000)
	libbac-7.0.5.so => /usr/local/lib/libbac-7.0.5.so (0x800a2f000)
	libm.so.5 => /lib/libm.so.5 (0x800c9b000)
	libthr.so.3 => /lib/libthr.so.3 (0x800ec3000)
	libintl.so.9 => /usr/local/lib/libintl.so.9 (0x8010e8000)
	libssl.so.7 => /usr/lib/libssl.so.7 (0x8012f2000)
	libcrypto.so.7 => /lib/libcrypto.so.7 (0x80155c000)
	libc++.so.1 => /usr/lib/libc++.so.1 (0x80194f000)
	libcxxrt.so.1 => /lib/libcxxrt.so.1 (0x801c0f000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x801e2b000)
	libc.so.7 => /lib/libc.so.7 (0x802039000)
	libwrap.so.6 => /usr/lib/libwrap.so.6 (0x8023d5000)
	libz.so.6 => /lib/libz.so.6 (0x8025de000)
borg.lerctr.org /home/ler # uname -a
FreeBSD borg.lerctr.org 11.0-CURRENT FreeBSD 11.0-CURRENT #4 r271329: Tue Sep  9 15:10:10 CDT 2014     root@borg.lerctr.org:/usr/obj/usr/src/sys/VT-LER  amd64
borg.lerctr.org /home/ler #

I am more than happy to give you a shell account on this box to use :)
Comment 3 Dan Langille freebsd_committer 2014-09-13 18:47:49 UTC
Thank you larry.  That would help me.  I will email you my public ssh key.
Comment 4 Dan Langille freebsd_committer 2014-09-13 19:12:12 UTC
When building on Larry's machine:

checking /usr/include/readline/readline.h usability... no
checking /usr/include/readline/readline.h presence... no
checking for /usr/include/readline/readline.h... no
 
readline.h not found. readline turned off ...
Comment 5 Larry Rosenman freebsd_committer 2014-09-13 20:42:37 UTC
This appears to be due to libreadline's removal from BASE in FreeBSD 11.  Dan is working on a patch to use the ports version on 11+, and the base version on <11.
Comment 6 Larry Rosenman freebsd_committer 2015-10-20 15:24:05 UTC
The patch in 193641 fixes this as well.
Comment 7 commit-hook freebsd_committer 2015-10-21 22:46:57 UTC
A commit references this bug:

Author: dvl
Date: Wed Oct 21 22:46:08 UTC 2015
New revision: 399938
URL: https://svnweb.freebsd.org/changeset/ports/399938

Log:
  Improve the upgrade process with respect to shared libraries

  My thanks to Larry Rosenman who did all the heavy lifting on
  this patch. The existing port relied heavily upon an agressive
  sed which seems to have adverse affects.

  Submitted by: ler@lerctr.org
  PR: 193641 193617
  Approved by:    mat (mentor)

Changes:
  head/sysutils/bacula-client/Makefile
  head/sysutils/bacula-server/Makefile
  head/sysutils/bacula-server/Makefile.common
  head/sysutils/bacula-server/files/patch-src__qt-configle__bat.pro.in
  head/sysutils/bacula-server/files/patch-src_console_Makefile.in
  head/sysutils/bacula-server/files/patch-src_dird_Makefile.in
  head/sysutils/bacula-server/files/patch-src_filed_Makefile.in
  head/sysutils/bacula-server/files/patch-src_qt-console_bat.pro.in
  head/sysutils/bacula-server/files/patch-src_stored_Makefile.in
  head/sysutils/bacula-server/files/patch-src_tools_Makefile.in
Comment 8 Dan Langille freebsd_committer 2015-10-21 22:48:33 UTC
Committed.  Thank you.